Bug 92118 - keyboard layouts are broken
keyboard layouts are broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 17:07 EDT by Gerald Teschl
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 13:25:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2003-06-02 17:07:19 EDT
Description of problem:
I have a laptop with a de keyboard, but choose us during install
(since I use us as default) In oder to be able to type german
umlaute and the euro sign, I added de as second layout. But now
the keyboard behaves like de no matter what I choose.



Version-Release number of selected component (if applicable):
(fresh alpha2 install)
kdebase-3.1.2-3
kdelibs-3.1.2-5

How reproducible:
100%

Steps to Reproduce:
1. Create a new user
2. Open kontrol center -> Keyboard layout
3. Check "enable keyboard layouts"
4. Change primary variant to "pc104euro"
5. Check German as additional layout
6. Chose variant nodeadkeys

    
Actual results:
Keyboard behaves like de layout is selected even if
us is selected (type a y and you will get a z)


Expected results:
Kayboard layouts should switch between de and us

Additional info:
Even removing the de layout and disabling keyboard layouts will
not restore the original us layout (even after a full logout/login).
Only way to get a us layout again is to logout, remove the kxkbrc config
file and login again.
Comment 1 Ngo Than 2003-06-03 06:24:35 EDT
it's a bug in XFree, please take a look in http://bugs.kde.org/show_bug.cgi?id=55866
Comment 2 Gerald Teschl 2003-06-04 14:22:12 EDT
This whole thing seems a bit confusing to me and I am not sure if this
is only an XFree bug:

If I just do

setxkbmap us
setxkbmap de

everything works fine. The kde bug seems to indicate that the wrong
map gets selected when I choose a nonexisting variant. Hence I tried
"generic 101" as primary variant. But then the keyboard acts like us only.
Comment 3 Gerald Teschl 2003-07-21 13:52:38 EDT
Problem still present in beta1
Comment 4 Mike A. Harris 2003-10-02 00:05:24 EDT
Please report this problem in XFree86 bugzilla upstream at:

    http://bugs.xfree86.org

Once it is fixed in XFree86 CVS, I will investigate wether it is a small
enough fix to include in a future release, and what the possible regression
risk might be.  Please update this bug report with a URL to your XFree86.org
bug report for tracking purposes.

Note You need to log in before you can comment on or make changes to this bug.